#' landscapeR: A landscape simulator for R.
#'
#' This package is aimed at simulating categorical landscapes on actual geographical realms,
#' starting from either empty landscapes or landscapes provided by the user (e.g. land use maps).
#'
#' @section landscapeR functions:
#' \itemize{
#' \item{\code{\link{makePatch}} creates a single patch in the landscape.}
#' \item{\code{\link{makeClass}} creates a group of patches belonging to the same class.}
#' \item{\code{\link{expandClass}} expands an existing class of patches.}
#' }
#' @details Check out the vignette illustrating the use of landscapeR.\cr
#' Also: \url{https://github.com/dariomasante/landscapeR}
#' @docType package
#' @name landscapeR-package
#' @aliases landscapeR
#' @author Dario Masante \email{dmasan@ceh.ac.uk}
NULL
